Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.compiler
Class NameAttributeTest

    java.lang.Object
      org.apache.commons.jxpath.ri.compiler.Expression
          org.apache.commons.jxpath.ri.compiler.Operation
              org.apache.commons.jxpath.ri.compiler.CoreOperation
                  org.apache.commons.jxpath.ri.compiler.CoreOperationCompare
                      org.apache.commons.jxpath.ri.compiler.CoreOperationEqual
                          org.apache.commons.jxpath.ri.compiler.NameAttributeTest

    public class NameAttributeTest

extends CoreOperationEqual

Captures the `foo[@name=expr]` expression. These expressions are handled in a special way when applied to beans or maps.

Version:
  $Revision: 652845 $ $Date: 2008-05-02 12:46:46 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`Expression.PointerIterator, Expression.ValueIterator`

Field Summary

Fields inherited from class org.apache.commons.jxpath.ri.compiler.CoreOperation
`ADD_PRECEDENCE, AND_PRECEDENCE, COMPARE_PRECEDENCE, MULTIPLY_PRECEDENCE, NEGATE_PRECEDENCE, OR_PRECEDENCE, RELATIONAL_EXPR_PRECEDENCE, UNION_PRECEDENCE`

Fields inherited from class org.apache.commons.jxpath.ri.compiler.Operation
`args`

Fields inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`NOT_A_NUMBER, ONE, ZERO`

Constructor Summary
`NameAttributeTest(Expression namePath, Expression nameValue)` Create a new NameAttributeTest.

Method Summary
`boolean` | `computeContextDependent()` Implemented by subclasses and result is cached by isContextDependent()
`Expression` | `getNameTestExpression()` Get the name test expression.

Methods inherited from class org.apache.commons.jxpath.ri.compiler.CoreOperationEqual
`getSymbol`

Methods inherited from class org.apache.commons.jxpath.ri.compiler.CoreOperationCompare
`computeValue, contains, equal, equal, findMatch, getPrecedence, isSymmetric`

Methods inherited from class org.apache.commons.jxpath.ri.compiler.CoreOperation
`compute, toString`

Methods inherited from class org.apache.commons.jxpath.ri.compiler.Operation
`getArguments`

Methods inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`isContextDependent, iterate, iteratePointers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NameAttributeTest

    public NameAttributeTest(Expression namePath,
                             Expression nameValue)

  Create a new NameAttributeTest.

  Parameters:
    `namePath` - Expression
    `nameValue` - Expression

Method Detail

### getNameTestExpression

    public Expression getNameTestExpression()

  Get the name test expression.

  Returns:
    Expression

### computeContextDependent

    public boolean computeContextDependent()

  Description copied from class: `Expression`
  Implemented by subclasses and result is cached by isContextDependent()

  Overrides:
    `computeContextDependent` in class `Operation`
  Returns:
    calculated context-dependentness as boolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.